Loading...
Searching...
No Matches
RDKit::v2::FileParsers::TDTMolSupplier Class Reference

lazy file parser for TDT files More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::v2::FileParsers::TDTMolSupplier:

## Public Member Functions

| TDTMolSupplier (const std::string &fileName, const TDTMolSupplierParams &params=TDTMolSupplierParams())
| TDTMolSupplier (std::istream *inStream, bool takeOwnership=true, const TDTMolSupplierParams &params=TDTMolSupplierParams())
| TDTMolSupplier ()
| ~TDTMolSupplier () override
void | setData (const std::string &text, const TDTMolSupplierParams &params=TDTMolSupplierParams())
void | init () override
void | reset () override
std::unique_ptr< RWMol > | next () override
bool | atEnd () override
void | moveTo (unsigned int idx)
std::unique_ptr< RWMol > | operator[] (unsigned int idx)
std::string | getItemText (unsigned int idx)
| returns the text block for a particular item
unsigned int | length ()
Public Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
virtual void | close ()

## Additional Inherited Members

Protected Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | openAndCheckStream (const std::string &filename)
Protected Attributes inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Detailed Description

lazy file parser for TDT files

Definition at line 339 of file MolSupplier.h.

## Constructor & Destructor Documentation

## TDTMolSupplier() [1/3]

RDKit::v2::FileParsers::TDTMolSupplier::TDTMolSupplier | ( | const std::string & | fileName,
|  | const TDTMolSupplierParams & | params = TDTMolSupplierParams() )

explicit

Parameters

  fileName | - the name of the TDT file
  nameRecord | - property name for the molecule name. If empty (the default), the name defaults to be empty
  confId2D | - if >=0 and 2D coordinates are provided, the 2D structure (depiction) in the input will be read into the corresponding conformer id.
  confId3D | - if >=0 and 3D coordinates are provided, the 3D structure (depiction) in the input will be read into the corresponding conformer id.
  sanitize | - if true sanitize the molecule before returning it

## TDTMolSupplier() [2/3]

RDKit::v2::FileParsers::TDTMolSupplier::TDTMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = true,
|  | const TDTMolSupplierParams & | params = TDTMolSupplierParams() )

explicit

## TDTMolSupplier() [3/3]

RDKit::v2::FileParsers::TDTMolSupplier::TDTMolSupplier | ( |  | ) |

## ~TDTMolSupplier()

RDKit::v2::FileParsers::TDTMolSupplier::~TDTMolSupplier | ( |  | ) |

inline override

Definition at line 371 of file MolSupplier.h.

References RDKit::v2::FileParsers::MolSupplier::close().

## Member Function Documentation

## atEnd()

bool RDKit::v2::FileParsers::TDTMolSupplier::atEnd | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## getItemText()

std::string RDKit::v2::FileParsers::TDTMolSupplier::getItemText | ( | unsigned int | idx | ) |

returns the text block for a particular item

Parameters

  idx | - which item to return

## init()

void RDKit::v2::FileParsers::TDTMolSupplier::init | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## length()

unsigned int RDKit::v2::FileParsers::TDTMolSupplier::length | ( |  | ) |

## moveTo()

void RDKit::v2::FileParsers::TDTMolSupplier::moveTo | ( | unsigned int | idx | ) |

## next()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::TDTMolSupplier::next | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## operator[]()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::TDTMolSupplier::operator[] | ( | unsigned int | idx | ) |

## reset()

void RDKit::v2::FileParsers::TDTMolSupplier::reset | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## setData()

void RDKit::v2::FileParsers::TDTMolSupplier::setData | ( | const std::string & | text,
|  | const TDTMolSupplierParams & | params = TDTMolSupplierParams() )

The documentation for this class was generated from the following file:

- MolSupplier.h